{% extends '/base.html.twig' %}

{% block icon %}fa fa-link{% endblock %}
{% block title %}Sessions actives{% endblock %}
{% block breadcrumb %}
    <li>Administration technique</li>
    <li class="active">Sessions actives</li>
{% endblock %}

{% block body %}
    <script>
        function wrapSessionData(key, value)
        {
            return $('<div>')
                .append($('<dt>').text(key))
                .append($('<dd>').text(value))
            ;
        }
        function callbackSessionData(content)
        {
            let dl =  $('<dl>')
                .append(wrapSessionData('username', content.username))
            ;
            for (let key in content) {
                if (key === 'tenant.public') {
                    continue;
                }
                if (/^tenant\./.test(key)) {
                    dl.append(wrapSessionData('tenant', content[key].baseurl));
                }
            }
            return dl;
        }
    </script>
    {{ include(
        'table/section.html.twig',
        {
            title: "Liste des sessions actives"
        }
    ) }}
{% endblock %}
